Agent Files

Upload agent file

post

This endpoint uploads an agent file associated with the provided API key.

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Body
filestring · binaryRequired

The file to upload

autoAddToVectorStorebooleanOptional

Indicates whether to automatically add the file to the vector store.

Example: true
Responses
chevron-right
200

Successfully uploaded agent file.

application/json
idstring · uuidRequired

Unique identifier for the agent file

Example: 123e4567-e89b-12d3-a456-426614174000
fileNamestringRequired

Name of the agent file

Example: example.txt
urlstringRequired

URL of the agent file

Example: https://example.com/file.txt
createdAtstring · date-timeRequired

Creation date of the agent file

Example: 2023-10-01T12:00:00Z
vectorStoreFileIdstringOptional

Unique identifier for the vector store file

Example: file-123e4567-e89b
isUploadedToVectorStoreboolean · nullableOptional

Indicates the file’s upload status to the vector store. A null value suggests a possible vector store error.

Example: true
uploadedToVectorStoreAtstring · date-timeOptional

Date when the file was uploaded to the vector store

Example: 2023-10-01T12:00:00Z
post
/external/agent-files/upload

Get agent files by API key

get

This endpoint retrieves the agent files associated with the provided API key.

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Responses
chevron-right
200

Successfully retrieved agent files with details.

application/json
idstring · uuidRequired

Unique identifier for the agent file

Example: 123e4567-e89b-12d3-a456-426614174000
fileNamestringRequired

Name of the agent file

Example: example.txt
urlstringRequired

URL of the agent file

Example: https://example.com/file.txt
createdAtstring · date-timeRequired

Creation date of the agent file

Example: 2023-10-01T12:00:00Z
vectorStoreFileIdstringOptional

Unique identifier for the vector store file

Example: file-123e4567-e89b
isUploadedToVectorStoreboolean · nullableOptional

Indicates the file’s upload status to the vector store. A null value suggests a possible vector store error.

Example: true
uploadedToVectorStoreAtstring · date-timeOptional

Date when the file was uploaded to the vector store

Example: 2023-10-01T12:00:00Z
get
/external/agent-files/by-api-key

Delete agent files by IDs

delete

This endpoint deletes the agent files by ids

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Body
fileIdsstring · uuid[]Required
Responses
chevron-right
200

Successfully deleted agent files.

No content

delete
/external/agent-files

No content

Delete agent file by ID

delete

This endpoint deletes the agent file by id

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Path parameters
idstringRequired

The ID of the agent file to delete.

Example: 5f7b1b3b-3b3b-4b3b-3b3b-3b3b3b3b3b3b
Responses
chevron-right
200

Successfully deleted agent file.

No content

delete
/external/agent-files/{id}/delete

No content

Delete agent file from vector store by ID

delete

This endpoint deletes the agent file from vector store by id

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Path parameters
idstringRequired

The ID of the agent file to delete from vector store.

Example: 5f7b1b3b-3b3b-4b3b-3b3b-3b3b3b3b3b3b
Responses
chevron-right
200

Successfully deleted agent file from vector store.

No content

delete
/external/agent-files/{id}/delete-from-vector-store

No content

Add agent file to vector store by ID

put

This endpoint adds the agent file to vector store by id

Authorizations
Agent-Secret-KeystringRequired

Custom authentication header

Path parameters
idstringRequired

The ID of the agent file to add to vector store.

Example: 5f7b1b3b-3b3b-4b3b-3b3b-3b3b3b3b3b3b
Responses
chevron-right
200

Successfully added agent file to vector store.

No content

put
/external/agent-files/{id}/add-to-vector-store

No content

Last updated